>From fbe8f97f9a2bcf25d8b10109d7d196f022de9f59 Mon Sep 17 00:00:00 2001
From: Stefano Sabatini <stefasab@gmail.com>
Date: Mon, 21 Mar 2016 09:44:09 +0100
Subject: [PATCH 2/2] configure: recognize the msys shell

This makes it possible to build with a MSYS2 shell.
---
 configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure b/configure
index f7b14d9d..d2e21991 100755
--- a/configure
+++ b/configure
@@ -546,7 +546,7 @@ trap 'rm -rf conftest*' EXIT
 # test for use of compilers that require specific handling
 cc_base=`basename "$CC"`
 QPRE="-"
-if [[ $host_os = mingw* || $host_os = cygwin* ]]; then
+if [[ $host_os = mingw* || $host_os = msys* || $host_os = cygwin* ]]; then
     if [[ "$cc_base" = icl || "$cc_base" = icl[\ .]* ]]; then
         # Windows Intel Compiler creates dependency generation with absolute Windows paths, Cygwin's make does not support Windows paths.
         [[ $host_os = cygwin* ]] && die "Windows Intel Compiler support requires MSYS"
-- 
2.13.0

